---
title: "List vouches"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{entityId}/vouches`

## Path parameters

- `entityId` (`entity-reputation-list-vouches.path.entityId`; string, required)
  - format `uuid`

## Query parameters

- `includeInactive` (`entity-reputation-list-vouches.query.includeInactive`; boolean, optional)
  - default `false`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/vouches'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/vouches';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/vouches"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "subjectEntityId": "4b061bab-22ab-4502-88c3-80c49638a133",
      "voucherEntityId": "687a822d-209a-4607-9d86-54cce0292c95",
      "voucherEntityName": "string",
      "scope": "string",
      "confidence": 0,
      "status": "string",
      "evidenceHash": "string",
      "evidenceCid": "string",
      "comment": "string",
      "expiresAt": "2019-08-24T14:15:22Z",
      "revokedAt": "2019-08-24T14:15:22Z",
      "revokedReason": "string",
      "createdBy": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "voucherOverallScore": 0,
      "weightedContribution": 0
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`entity-reputation-list-vouches.response.200.data`; array<object>, required)
  - `id` (`entity-reputation-list-vouches.response.200.data.id`; string, required)
    - format `uuid`
  - `subjectEntityId` (`entity-reputation-list-vouches.response.200.data.subjectEntityId`; string, required)
    - format `uuid`
  - `voucherEntityId` (`entity-reputation-list-vouches.response.200.data.voucherEntityId`; string, required)
    - format `uuid`
  - `voucherEntityName` (`entity-reputation-list-vouches.response.200.data.voucherEntityName`; string, required)
  - `scope` (`entity-reputation-list-vouches.response.200.data.scope`; string, required)
  - `confidence` (`entity-reputation-list-vouches.response.200.data.confidence`; integer, required)
  - `status` (`entity-reputation-list-vouches.response.200.data.status`; string, required)
  - `evidenceHash` (`entity-reputation-list-vouches.response.200.data.evidenceHash`; string, required, nullable)
  - `evidenceCid` (`entity-reputation-list-vouches.response.200.data.evidenceCid`; string, required, nullable)
  - `comment` (`entity-reputation-list-vouches.response.200.data.comment`; string, required, nullable)
  - `expiresAt` (`entity-reputation-list-vouches.response.200.data.expiresAt`; string, required, nullable)
    - format `date-time`
  - `revokedAt` (`entity-reputation-list-vouches.response.200.data.revokedAt`; string, required, nullable)
    - format `date-time`
  - `revokedReason` (`entity-reputation-list-vouches.response.200.data.revokedReason`; string, required, nullable)
  - `createdBy` (`entity-reputation-list-vouches.response.200.data.createdBy`; string, required, nullable)
  - `createdAt` (`entity-reputation-list-vouches.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`entity-reputation-list-vouches.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `voucherOverallScore` (`entity-reputation-list-vouches.response.200.data.voucherOverallScore`; number, required, nullable)
  - `weightedContribution` (`entity-reputation-list-vouches.response.200.data.weightedContribution`; number, required)
- `meta` (`entity-reputation-list-vouches.response.200.meta`; object, required)
  - `total` (`entity-reputation-list-vouches.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`entity-reputation-list-vouches.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`entity-reputation-list-vouches.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`entity-reputation-list-vouches.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`entity-reputation-list-vouches.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`entity-reputation-list-vouches.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-list-vouches.response.400.error`; object, required)
  - `code` (`entity-reputation-list-vouches.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-list-vouches.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-list-vouches.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-list-vouches.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-list-vouches.response.401.error`; object, required)
  - `code` (`entity-reputation-list-vouches.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-list-vouches.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-list-vouches.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-list-vouches.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-list-vouches.response.403.error`; object, required)
  - `code` (`entity-reputation-list-vouches.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-list-vouches.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-list-vouches.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-list-vouches.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-list-vouches.response.404.error`; object, required)
  - `code` (`entity-reputation-list-vouches.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-list-vouches.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-list-vouches.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-list-vouches.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-list-vouches.response.409.error`; object, required)
  - `code` (`entity-reputation-list-vouches.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-list-vouches.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-list-vouches.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-list-vouches.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-list-vouches.response.500.error`; object, required)
  - `code` (`entity-reputation-list-vouches.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-list-vouches.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-list-vouches.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-list-vouches.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 501

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-list-vouches.response.501.error`; object, required)
  - `code` (`entity-reputation-list-vouches.response.501.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-list-vouches.response.501.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-list-vouches.response.501.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-list-vouches.response.501.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-list-vouches.response.503.error`; object, required)
  - `code` (`entity-reputation-list-vouches.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-list-vouches.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-list-vouches.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-list-vouches.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-reputation-list-vouches/index.md
